Module submission - mythtv

larry@scrudgeware.org larry at scrudgeware.org
Wed Aug 24 16:22:03 UTC 2005


module name       : mythtv
suggested section : video
update (y/n)      : y
bugfix (y/n)      : n
security (y/n)    : n

Updated and added option for plugin and theme modules. Also, fixed DEPENDS.

scrudge
-------------- next part --------------
--- mythtv/BUILD	2005-05-07 13:07:38.000000000 -0500
+++ mythtv/BUILD	2005-08-24 10:54:48.000000000 -0500
@@ -1,25 +1,17 @@
 (
+	. /etc/profile.d/qt3.rc
 	sedit "s:PREFIX = .*:PREFIX=/usr:" settings.pro
-	#if use alsa
 	sedit "s:#CONFIG += using_alsa:CONFIG += using_alsa:" settings.pro
 	sedit "s:#ALSA_LIBS = -lasound:ALSA_LIBS = -lasound:" settings.pro
-	#fi
 	sedit "s:QMAKE_CXXFLAGS_RELEASE = -O3 -march=pentiumpro -fomit-frame-pointer:QMAKE_CXXFLAGS_RELEASE = $CXXFLAGS:" settings.pro
 	sedit "s:DEFINES += MMX:DEFINES += MMX SSE"
 	./configure		\
 	--prefix=/usr		&&
 	qmake mythtv.pro	&&
 	make 			&&
-	# To enable parallel builds the librarys must be built in this order
-	#make -C libs/libavcodec		&&
-	#make -C libs/libavformat	&&
-	#make -C libs/libmyth		&&
-	#make -C libs/libmythtv		&&
-	#make			&&
 	prepare_install		&&
 	make install		&&
-	#copy other installable files to their locations
-	cp setup/setup /usr/share/mythtv/ &&
+	cp setup/mythtv-setup /usr/sbin/ &&
 	cp $SCRIPT_DIRECTORY/mythfilldatabasecron /usr/bin/	&&
 	chmod 755 /usr/bin/mythfilldatabasecron			&&
 	(test -d /var/lib/mysql/mythconverg || mysql -p < database/mc.sql)
--- mythtv/CONFIGURE	1969-12-31 18:00:00.000000000 -0600
+++ mythtv/CONFIGURE	2005-08-24 10:54:48.000000000 -0500
@@ -0,0 +1,2 @@
+mquery INSTALL_PLUGINS "Would you like to install the Myth Plugins Module?" y
+mquery INSTALL_THEMES  "Would you like to install the Myth Themes Module?"  y
--- mythtv/DEPENDS	2005-05-07 13:07:38.000000000 -0500
+++ mythtv/DEPENDS	2005-08-24 10:54:48.000000000 -0500
@@ -1,5 +1,7 @@
+optional_depends "ivtv" "" "" "to add support for PVR150-500 Cards" &&
 depends		lame		&&
 depends 	mysql		&&
 depends		freetype2	&&
 depends		xmltv		&&
 depends		qt3
+
--- mythtv/DETAILS	2005-05-07 13:07:38.000000000 -0500
+++ mythtv/DETAILS	2005-08-24 10:54:48.000000000 -0500
@@ -1,11 +1,11 @@
           MODULE=mythtv
-         VERSION=0.17
+         VERSION=0.18.1
           SOURCE=$MODULE-$VERSION.tar.bz2
       SOURCE_URL=http://www.mythtv.org/mc/
-      SOURCE_VFY=md5:c996dc690d36e946396fc5cd4b715e3b
+      SOURCE_VFY=md5:e6cabf88feeaf6ae8f830d3fdf7b113d
         WEB_SITE=http://www.mythtv.org
          ENTERED=20040304
-         UPDATED=20050309
+         UPDATED=20050614
      SHORT="MythTV is a PVR program"
 cat << EOF
 MythTV is a PVR program that records video, pauses live tv, and through 
--- mythtv/etc.rc.d.init.d.mythbackend	1969-12-31 18:00:00.000000000 -0600
+++ mythtv/etc.rc.d.init.d.mythbackend	2005-08-24 10:54:48.000000000 -0500
@@ -0,0 +1,127 @@
+#!/bin/bash
+#
+#	/etc/rc.d/init.d/mythbackend
+#
+# Starts the mythbackend as a daemon
+#
+# chkconfig: 345 90 10
+# description: Starts the mythbackend process as a daemon after the XWindows \
+#              system is started, in runlevel 5. This allows scheduled \
+#              recordings to occur without manual intervention.
+# processname: mythbackend
+
+# Copyright (c) by Michael Thomson <linux at m-thomson dot net>
+# With thanks to Stu Tomlinson <stu at nosnilmot dot com>
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
+
+# Default values to use if none are supplied in the config file.
+DEF_USER="root"
+DEF_LOCATION="/usr/local/bin/"
+DEF_PROG="mythbackend"
+DEF_LOGFILE="/var/tmp/mythbackend.log"
+
+# Source function library.
+. /etc/init.d/functions
+
+# Source config file if available
+if [ -f "/etc/sysconfig/mythbackend" ]; then
+  . /etc/sysconfig/mythbackend
+fi
+
+# Check each variable. Use default value if not already set via
+# config file.
+
+# User who should start the mythbackend processes
+MBE_USER=${MBE_USER:-${DEF_USER}}
+
+# Directory holding the mythbackend binary
+MBE_LOCATION=${MBE_LOCATION:-${DEF_LOCATION}}
+
+# Name of mythbackend binary
+MBE_PROG=${MBE_PROG:-${DEF_PROG}}
+
+# Full path to mythbackend log file
+MBE_LOGFILE=${MBE_LOGFILE:-${DEF_LOGFILE}}
+
+test -x ${MBE_LOCATION}${MBE_PROG} || exit 0
+
+RETVAL=0
+
+#
+#	See how we were called.
+#
+
+start() {
+	# Check if mythbackend is already running
+	if [ ! -f /var/lock/subsys/${MBE_PROG} ]; then
+	    echo -n "Starting ${MBE_PROG}: "
+	    # /usr/local/bin/mythbackend -d -l /some/log/file
+	    daemon --user ${MBE_USER} ${MBE_LOCATION}${MBE_PROG} -d -l ${MBE_LOGFILE}
+	    RETVAL=$?
+	    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/${MBE_PROG}
+	    echo
+	fi
+	return $RETVAL
+}
+
+stop() {
+	echo -n "Stopping ${MBE_PROG}: "
+	killproc ${MBE_LOCATION}${MBE_PROG}
+	RETVAL=$?
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/${MBE_PROG}
+	echo
+        return $RETVAL
+}
+
+
+restart() {
+	stop
+	start
+}	
+
+reload() {
+	restart
+}	
+
+status_at() {
+ 	status ${MBE_LOCATION}${MBE_PROG}
+}
+
+case "$1" in
+start)
+	start
+	;;
+stop)
+	stop
+	;;
+reload|restart)
+	restart
+	;;
+condrestart)
+	if [ -f /var/lock/subsys/${MBE_PROG} ]; then
+	    restart
+	fi
+	;;
+status)
+	status_at
+	;;
+*)
+	echo "Usage: $0 {start|stop|restart|condrestart|status}"
+	exit 1
+esac
+
+exit $?
+exit $RETVAL
--- mythtv/etc.sysconfig.mythbackend	1969-12-31 18:00:00.000000000 -0600
+++ mythtv/etc.sysconfig.mythbackend	2005-08-24 10:54:48.000000000 -0500
@@ -0,0 +1,46 @@
+# /etc/sysconfig/mythbackend
+
+###########################################################################
+#
+# Copyright (c) by Michael Thomson <linux at m-thomson dot net>
+# With thanks to Stu Tomlinson <stu at nosnilmot dot com>
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
+#
+###########################################################################
+
+# Config variables for the mythbackend startup script, which is usually
+# located in /etc/rc.d/init.d/mythbackend
+#
+# When the startup script is executed, it sources this file if it exists,
+# otherwise it will fall back on default values.
+#
+# Leave variables commented out to use default values in init script
+# (/etc/rc.d/init.d/mythbackend).
+# 
+# To override defaults, uncomment the relevant variable definition and
+# edit as required.
+
+# User who should start the mythbackend processes (Default: root)
+# MBE_USER="root"
+
+# Directory holding the mythbackend binary (Default: /usr/local/bin/)
+# MBE_LOCATION="/usr/local/bin/"
+
+# Name of mythbackend binary (Default: mythbackend)
+# MBE_PROG="mythbackend"
+
+# Full path to mythbackend log file (Default: /var/tmp/mythbackend.log)
+# MBE_LOGFILE="/var/tmp/mythbackend.log"
--- mythtv/POST_INSTALL	2005-05-07 13:07:38.000000000 -0500
+++ mythtv/POST_INSTALL	2005-08-24 10:54:48.000000000 -0500
@@ -1,17 +1,30 @@
-cat << EOF
-Please run /usr/share/mythtv/setup to configure MythTV.  The 
-database has been installed for you, but you may want to muck around 
-with the permissions a bit.
-
-After running /usr/share/mythtv/setup, you'll have to run 
-mythfilldatabase to fill the database with program listings for all the 
-video sources you defined in the setup program.
+if test x"$INSTALL_PLUGINS" = xy; then
+  lin -p mythplugins
+fi
 
-mythfilldatabase should theoretically be run daily, something most 
-easily done from a cronjob.
+if test x"$INSTALL_THEMES" = xy; then
+  lin -p myththemes
+fi
 
-Add the following to your personal crontab to accomplish this
-(crontab -e) to fill the database at 2:00am daily:
-00 02 * * * /bin/bash /usr/bin/mythfilldatabasecron
+cat << EOF
+########################################################################
+# MythTV Installation Complete                                         #
+########################################################################
+# Please run /usr/sbin/mythtv-setup to configure MythTV.  The          #
+# database has been installed for you, but you may want to muck around # 
+# with the permissions a bit.                                          #  
+#                                                                      #
+# After running /usr/sbin/mythtv-setup, you'll have to run             #
+# mythfilldatabase to fill the database with program listings for all  #
+# the video sources you defined in the setup program.                  #
+#                                                                      #
+# mythfilldatabase should theoretically be run daily, something most   #
+# easily done from a cronjob.                                          #
+#                                                                      #
+# Add the following to your personal crontab to accomplish this        #
+# (crontab -e) to fill the database at 2:00am daily:                   #
+# 00 02 * * * /bin/bash /usr/bin/mythfilldatabasecron                  #
+#                                                                      #
+########################################################################
 
 EOF
-------------- next part --------------
lvu submit mythtv a55648a16dcf4e581522ac7377fb0333  -
2.4.29 2.4.25-ll-r5.0.0 gcc-3.3.3 glibc-2.3.3


More information about the Lunar mailing list